com.mapinfo.midev.style

## Interface ISymbol

All Superinterfaces:
  Serializable

    public interface ISymbol
    extends Serializable

A component of `IPointStyle` that describes one rendering pass of a point or label.

### Method Summary

All Methods Instance Methods Abstract Methods
`ISymbol` `getCopy()` Returns a copy of this symbol.
`Angle` `getRotation()` Get the angle of rotation for the symbol.
`Double` `getXOffset()` Get the horizontal offset, in pixels
`Double` `getYOffset()` Get the vertical offset, in pixels
`void` `setRotation(Angle rotation)` Set the angle of rotation for the label.
`void` `setXOffset(Double xOffset)` Set the offset, in pixels, for the label in the X direction (horizontal)
`void` `setYOffset(Double yOffset)` Set the offset, in pixels, for the label in the Y direction (vertical)

### Method Detail

#### getXOffset

    Double getXOffset()

Get the horizontal offset, in pixels

Returns:
  The horizontal offset, in pixels

#### setXOffset

    void setXOffset(Double xOffset)

Set the offset, in pixels, for the label in the X direction (horizontal)

Parameters:
  `xOffset` - The new offset in the X direction, in pixels

#### getYOffset

    Double getYOffset()

Get the vertical offset, in pixels

Returns:
  The vertical offset, in pixels

#### setYOffset

    void setYOffset(Double yOffset)

Set the offset, in pixels, for the label in the Y direction (vertical)

Parameters:
  `yOffset` - The new offset in the Y direction, in pixels

#### getRotation

    Angle getRotation()

Get the angle of rotation for the symbol.

Returns:
  The angle of rotation for the symbol

#### setRotation

    void setRotation(Angle rotation)

Set the angle of rotation for the label.

- A positive value will tilt the baseline of the label counter-clockwise.
- A negative value will tilt the baseline of the label clockwise.

Parameters:
  `rotation` - The angle at which the label should be drawn

#### getCopy

    ISymbol getCopy()

Returns a copy of this symbol.

Returns:
  a copy of this symbol.